> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/leads/list-leads.md).

# List leads

List leads and filter them by partner, status or any custom properties.

To filter leads on custom property, just add the property with its exact value as a query parameter:\
`myCustomProp=ThisIsAValue`\
This will return the leads where myCustomProp exactly matches the provided value.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["Lead.View","Api"]}],"components":{"securitySchemes":{},"schemas":{"LeadStatus":{"enum":["Unknown","Unassigned","Pending","Accepted","Refused","Reassigned","Converted","Abandoned"],"type":"string"},"LeadListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/LeadDto"},"nullable":true},"paginationSkipCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","description":"Gets or sets the total number of items that could be returned by this command (without pagination).","format":"int32"}},"additionalProperties":false},"LeadDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"creationDate":{"type":"string","format":"date-time"},"properties":{"type":"object","additionalProperties":{"nullable":true},"nullable":true},"partnerId":{"type":"integer","format":"int32","nullable":true},"sourcePartnerId":{"type":"integer","format":"int32","nullable":true},"userPartnerOwnerId":{"type":"integer","format":"int32","nullable":true},"dealId":{"type":"integer","format":"int32","nullable":true},"customerId":{"type":"integer","format":"int32","nullable":true},"deadLine":{"type":"string","format":"date-time","nullable":true},"assignedDate":{"type":"string","format":"date-time","nullable":true},"acceptedDate":{"type":"string","format":"date-time","nullable":true},"refusedDate":{"type":"string","format":"date-time","nullable":true},"convertedDate":{"type":"string","format":"date-time","nullable":true},"abandonedDate":{"type":"string","format":"date-time","nullable":true},"status":{"$ref":"#/components/schemas/LeadStatus"},"partnerName":{"type":"string","nullable":true},"dealName":{"type":"string","nullable":true},"customerName":{"type":"string","nullable":true},"source":{"$ref":"#/components/schemas/DataSource"},"transferredLeadId":{"type":"integer","format":"int32","nullable":true},"currency":{"type":"string","nullable":true},"ownerUserId":{"type":"integer","format":"int32","nullable":true},"owner":{"$ref":"#/components/schemas/UserDto"}},"additionalProperties":false},"DataSource":{"enum":["Unknown","Website","Partner","Api","Zapier","Tenant","System","HubSpot","Stripe","PartnerDirectory","Salesforce","Mcp"],"type":"string"},"UserDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"email":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/v3/leads":{"get":{"tags":["Leads"],"summary":"List leads","description":"List leads and filter them by partner, status or any custom properties.\r\n            \r\nTo filter leads on custom property, just add the property with its exact value as a query parameter:  \r\n`myCustomProp=ThisIsAValue`  \r\nThis will return the leads where myCustomProp exactly matches the provided value.","parameters":[{"name":"partnerId","in":"query","description":"The list of partner IDs to filter the leads on.","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first lead to be returned.","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of leads to be returned. The default is 20.","schema":{"type":"integer","format":"int32"}},{"name":"sort_by","in":"query","description":"The property used to sort the leads by. The default is CreationDate.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned leads. Accepted values: ASC, DESC. The default is DESC.","schema":{"type":"string"}},{"name":"status","in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/LeadStatus"}}}],"responses":{"200":{"description":"Leads returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeadListResponseDto"}}}},"403":{"description":"Partner program settings do not grant access to leads"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/leads/list-leads.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
